# Loads default set of integrations. Do not remove.
default_config:

template: !include template.yaml
notify: !include notify.yaml
sensor: !include sensors.yaml

# Inputs
input_text: !include inputs/input_text.yaml
input_boolean: !include inputs/input_boolean.yaml
input_number: !include inputs/input_number.yaml
input_select: !include inputs/input_select.yaml
input_datetime: !include inputs/input_datetime.yaml

# Load frontend themes from the themes folder
frontend:
  themes: !include_dir_merge_named themes

automation: !include automations.yaml
script: !include scripts.yaml
scene: !include scenes.yaml
#####Fin conf init

http:
  server_port: 8234
  use_x_forwarded_for: true
  trusted_proxies:
    - 192.168.42.0/24
    - 192.168.42.10

## SWITCHS
switch:
  - platform: wake_on_lan
    mac: "A4:BB:6D:88:A9:2D"
    name: "Idefix"

watchman:
  ignored_items:
    - "input_text.mealie_*"
    - "group.outside_lights"

rest:
  - resource: http://192.168.42.10:7652/api/summary
    scan_interval: 3600
    sensor:
      - name: "Scrutiny NVMe Température"
        unique_id: scrutiny_nvme_temp
        value_template: "{{ value_json.data.summary['tw0r3cdk9dh0014o0bzi'].smart.temp }}"
        unit_of_measurement: "°C"
        device_class: temperature
        icon: mdi:harddisk

      - name: "Scrutiny NVMe Statut"
        unique_id: scrutiny_nvme_status
        value_template: >
          {% if value_json.data.summary['tw0r3cdk9dh0014o0bzi'].device.device_status == 0 %}
            OK
          {% else %}
            ALERTE
          {% endif %}
        icon: mdi:harddisk-plus

      - name: "Scrutiny NVMe Heures"
        unique_id: scrutiny_nvme_hours
        value_template: "{{ value_json.data.summary['tw0r3cdk9dh0014o0bzi'].smart.power_on_hours }}"
        unit_of_measurement: "h"
        icon: mdi:clock-outline

  - resource: https://www.seismicportal.eu/fdsnws/event/1/query?format=json&limit=5&lat=49.5845&lon=1.1403&maxradius=5&orderby=time
    scan_interval: 1800
    sensor:
      - name: "Dernier séisme"
        unique_id: dernier_seisme
        value_template: "{{ value_json.features[0].properties.mag }}"
        unit_of_measurement: "M"
        json_attributes_path: "$.features[0].properties"
        json_attributes:
          - time
          - place
          - mag
          - depth
          - magtype

shell_command:
  git_backup: /config/scripts/git_backup.sh